interactions:
- request:
    body: !!binary |
[encoded data, 156787 characters]
      ODA4NTE1Y2JhZWI2MTI5YzZlYzE3N2YwZDk0Yzg2Zi0tDQo=
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '107708'
      Content-Type:
      - multipart/form-data; boundary=4808515cbaeb6129c6ec177f0d94c86f
      User-Agent:
      - tests/v311
    method: PATCH
    uri: http://localhost:3000/api/v1/accounts/update_credentials
  response:
    body:
      string: '{"id":"110594123259982139","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2023-06-23T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/52010a12abb6ba9e.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/110/594/123/259/982/139/original/52010a12abb6ba9e.jpg","header":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/1d388b3fff91074f.jpg","header_static":"http://localhost:3000/system/accounts/headers/110/594/123/259/982/139/original/1d388b3fff91074f.jpg","followers_count":0,"following_count":0,"statuses_count":0,"last_status_at":null,"noindex":false,"source":{"privacy":"public","sensitive":false,"language":null,"note":"I
        walk funny","fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}],"follow_requests_count":0},"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}],"role":{"id":"-99","name":"","permissions":"65536","color":"","highlighted":false}}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"ced7b09e9854cacea21009cf61c70ec5"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 27cacc07-1fb6-4359-aea0-1dd7e159795e
      X-Runtime:
      - '0.095224'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
version: 1
